blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
c431e2bd0bc2ea537a7b91e5e0f17ca7edbd56e8 | 371 | #!/bin/sh
set -eu
set -o pipefail
HOSTGROUP1="local"
HOSTGROUP2="remote_vms"
# Запустить на локальном хосте
# ansible-playbook play.yml -i inventory/inventory --extra-vars "host_var='${HOSTGROUP1}'"
# Запустить на удаленном хосте
ansible-playbook play.yml -i inventory/inventory --extra-vars "host_var='${HOSTGROUP2}'... |
74236787d2ae3a8931ebaddf2295d40bbe02feb8 | 109 | #!/bin/sh
mysql -D rd_hps_cond -h mysql-node03.slac.stanford.edu -P 3306 -u rd_hps_cond_ro -p2jumpinphotons.
|
d1f03e9be6064121df37546049f2aea4715186f0 | 2,908 | #!/usr/bin/env bash
# shellcheck disable=SC1091,SC1090
set -euo pipefail
reset=$(tput sgr0)
red=$(tput bold && tput setaf 1)
yellow=$(tput bold && tput setaf 3)
date_time=$(date +'%d-%m-%Y-T%H:%M:%S%z')
working_directory=$(pwd)
function error() {
echo "[$date_time]: $*" >&2
}
function main() {
if [[ -e /usr/bin/... |
33db555c297d0119e4fb49be45f2d3fcae571752 | 546 | #!/bin/bash
set -e
echo
echo "Installing dependencies"
sudo apt install git curl jq
echo
echo "Creating inslataion directory"
rm -rf ~/.gh-update
mkdir ~/.gh-update
echo
echo "Downloading ..."
git clone https://github.com/LeoFalco/gh-update ~/.gh-update
echo
echo "Granting run permission"
sudo chmod +x ~/.gh-updat... |
8802ff8b7af945f0442f4ee985c4c818b1ec0243 | 1,892 | #!/bin/sh +x
. ./config.sh
UID_NUMBER=`./include/nextid.sh`
echo User ID will be set to $UID_NUMBER
GID_NUMBER=${START_GID}
echo -n "${0}: login name? "
read USERNAME
STDOUT=`id ${USERNAME} 2>&1`
if [ ${?} = 0 ]; then
echo Username ${USERNAME} is already used. Please specify another username.
exit 1
fi
ech... |
c6c088d185eae27bef745276dfcfd7049435b841 | 26,362 | #!/bin/bash
# Copyright 2015 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... |
6c3fbc538cfa42c95637f0fe1021c71c10e76ead | 1,438 | # Maintainer: Christian Neukirchen <chneukirchen@gmail.com>
pkgname=xcolorsel
pkgver=1.1a
_debver=17
pkgrel=2
pkgdesc="display and grab colors in X"
arch=(i686 x86_64)
url="http://packages.debian.org/stable/x11/xcolorsel"
license=('GPL')
depends=(libxaw)
makedepends=(imake)
source=(http://ftp.de.debian.org/debian/pool/... |
7410778f4dbeb0455ede123afa073c88bb3c8fb4 | 41 | #!/bin/sh
./adventure --client 127.0.0.1
|
0fd7a2ea5751b80347b2fd89f47ed9e3a443ed8b | 590 | #!/bin/bash
format='+%Y/%m/%d-%H:%M:%S'
date $format
job_num=$(($SLURM_ARRAY_TASK_ID))
output_file=$output_dir/$job_num
input_file=`sed -n "${job_num}p" < $file_list`
echo "loading " $hadesroot
source $hadesroot
echo "executing $executable $cmd --signal $signal --perchannel $channelSelection --min $minSignal --max... |
8967f384fda194e38834f31b206dadb4b74a8ad4 | 182 | #!/bin/bash
if [[ -z "$@" ]]; then
echo >&2 "You must supply an argument!"
exit 1
fi
#find . -type f -name $1
find . 2>/dev/null -iname "*$1*" | grep -i --color=auto $1
|
0e846a4d0c985a0313d24fbb4c82acfd119382ad | 148 | #!/bin/sh
SERVER=login.mathematik.uni-marburg.de
DIR=public_html/projects/sugarj/update
rm artifacts.jar
rm content.jar
rsync -avz . $SERVER:$DIR
|
bf0a713a54bd69f31f12d308c700c3369fdc6f65 | 36 | ../../../scripts-pipeline/fsstats.sh |
4f420a64d7380e8e6b022e69e44d23ca7807adef | 547 | podman start poc-registry
podman start adedes-registry
podman ps
curl -u dummy:dummy -k https://bastion.ocp50.example.com:5000/v2/_catalog | jq
curl -u dummy:dummy -k https://bastion.ocp50.example.com:5000/v2/ocp50/openshift4/tags/list | jq
curl -u dummy:dummy -k https://bastion.ocp50.example.com:6001/v2/_catalog | jq
... |
f49dcdf2f13a8ee35141df50ac39cdd0d71be6d2 | 48 | #!/usr/bin/env sh
export PATH="scripts:${PATH}"
|
461aa2e61d347b1b98e9ec443fadf389a6bc7d78 | 726 | #!/bin/bash
set -euo pipefail
# Usage: ./repair SUBJECT VERSION
#
# Top script for executing repair
cd "$(dirname "${BASH_SOURCE[0]}")"
usage="Usage: ./repair SUBJECT VERSION"
if [[ $# > 0 ]]; then
subject="$1"
shift
else
echo "$usage"
exit 1
fi
if [[ $# > 0 ]]; then
version="$1"
shift
els... |
a02ec1b89bbbbb9572ff19960ad0caa5ef750a49 | 637 | #!/bin/sh
BASE_DIR=$(cd $(dirname $0);pwd)
ln -sfn "${BASE_DIR}/vimrc" "${HOME}/.vimrc"
ln -sfn "${BASE_DIR}/gvimrc" "${HOME}/.gvimrc"
# ln -sfn "${BASE_DIR}/vimshrc" "${HOME}/.vimshrc"
# vim
mkdir -p "${HOME}/.vim"
ln -sfn "${BASE_DIR}/rc" "${HOME}/.vim/"
ln -sfn "${BASE_DIR}/ftplugin" "${HOME}/.vim/"... |
b3ed619a77b4470320c653a4dc4b1a8f58eb2f44 | 348 | #!/bin/bash
# List exposed TCP ports.
# Tested on:
# Debian 7.0
# Ubuntu 12.04
# Ubuntu 14.04
# Usage:
# overcast exposed myInstanceOrCluster
if [ "$(id -u)" != "0" ]; then
echo "This script must be run as root." 1>&2
exit 1
fi
iptables -L -n | grep 'ACCEPT' | grep 'tcp dpt:' | awk '{ print $7 }' | tr -d 'dp... |
1cf4b7964a80edec347208a4c8bb51fe6528a108 | 56 | java -jar forge-1.10.2-12.18.2.2107-universal.jar nogui
|
1bc09c84bd8873ddbdf51297377ee2ab5068939d | 340 | #!/bin/bash
# If ffmpeg fails the script won't delete files
set -e
VIDEO=$1
AUDIO=$2
OUTPUT=$3
if [ $# -eq 3 ] && [[ -s "$VIDEO" ]] && [[ -s "$AUDIO" ]]
then
ffmpeg -i "$VIDEO" -i "$AUDIO" -c:v copy -c:a aac "$OUTPUT"
rm "$VIDEO" "$AUDIO"
else
echo "Pass exactly 3 arguments, [video], [audio], [output] fi... |
63d0ab1e3228a9339973c9401411eaba015d2df6 | 695 | #!/usr/bin/env bash
function copy_coverage_to_root() {
PACKAGE_PATH=$1
PACKAGE_NAME=$(basename "$PACKAGE_PATH")
if [[ "$PACKAGE_NAME" != "$ROOT_NAME" ]]; then
cp "$PACKAGE_PATH/coverage/coverage-final.json" "$ROOT_PATH/.cache/.nyc_output/$PACKAGE_NAME.json"
fi
}
ROOT_PATH=$(pwd)
ROOT_NAME=$(basename "$RO... |
8f9c9d3bfa300e1b878a89a4cfafb6e8334fef3e | 327 | #!/bin/sh
dirname=$1
mkdir -p /tmp/archive-tmp-$$/$dirname
make
rsync --exclude-from=dist-exclude -avH . /tmp/archive-tmp-$$/$dirname
rsync trmorph.a /tmp/archive-tmp-$$/$dirname/$dirname.a
cd /tmp/archive-tmp-$$
tar czvf $dirname.tar.gz $dirname
cd -
mv /tmp/archive-tmp-$$/$dirname.tar.gz .
rm -fr /tmp/archive-... |
04552b59482a76d4aedbf0bddc8313c858bfe541 | 318 | #!/bin/bash
#In KDE, COPY PASTE from other apps to firefox-wayland or between firefox tabs DOES NOT WORK.
# https://bugs.kde.org/show_bug.cgi?id=411682
gsettings set org.gnome.desktop.interface cursor-size 32
gsettings set org.gnome.desktop.interface cursor-blink false
MOZ_ENABLE_WAYLAND=1 firefox-developer-edition
|
9fb75d670aea49bca69ec0cfb46e70e443d5ee18 | 51 | #!/bin/bash
head --lines=3 iacta | tail --lines=1
|
84890c707d4d103aa2e32b7dde94f870a92d2369 | 202 | # Used for git in prompt
typeset -ga preexec_functions
typeset -ga precmd_functions
typeset -ga chpwd_functions
unsetopt MULTIBYTE
setopt HIST_IGNORE_ALL_DUPS
setopt HIST_IGNORE_SPACE
setopt NOBEEP
|
22d0e619a0856f082279dd1613ee2cdedbe0a0ed | 654 |
echo +++++++++ 正在将micro-blog项目上传到github.....................
echo +++++++++复制前端文件...............
rm -rf FrontEnd
echo +++++++++创建目录FronEnd...............
mkdir FrontEnd
echo +++++++++复制目录...............
cp -r /nginx/microblog /home/lgj/aProject/aRealPrj/microblog/FrontEnd
echo +++++++++复制nginx.conf
cp /usr/local/... |
c3989e8364e6b5f4d202ae07348eb08c51026423 | 325 | #!/bin/sh
for host in $HOSTNAMES; do
openssl s_client -connect §host:443 -servername §host -showcerts 2>/dev/null </dev/null | openssl x509 -noout -checkend $SECONDSTOEXPIRY 1>/dev/null ||\
echo "Subject: Warning: §host certificate will expire soon" | sendmail -f "$FROMEMAIL" -F "$FROMNAME" $RECIPIENTS
don... |
c7c17e7e341c74cec6277ae01ae7891901da681a | 185 | SECRET_KEY=SECRET_KEY_HERE
DEBUG=True_OR_False
DB_NAME=db_name_here
DB_USER=db_user_here
DB_PASSWORD=db_password_here
DB_HOST=localhost
DB_PORT=3306
ALLOWED_HOSTS=.localhost, .10.0.2.15 |
9b09922961e175ef8e20c9119b91dafa5caf335f | 1,056 | package: sodium
version: v1.0.8
source: https://github.com/jedisct1/libsodium
tag: 1.0.8
build_requires:
- autotools
- "GCC-Toolchain:(?!osx)"
---
#!/bin/sh
rsync -av --delete --exclude="**/.git" $SOURCEDIR/ .
autoreconf -i
./configure --prefix=$INSTALLROOT
make ${JOBS+-j $JOBS}
make install
# Modulefile
MODULEDI... |
1a410f14ad53565a04d6d110df2f1241132616ea | 336 | #!/bin/bash
#SBATCH --job-name=cosmo_grid_cosmo_only_linear
#SBATCH --time=12:00:00
#SBATCH -p iric
#SBATCH -o /home/users/swmclau2/Git/pearce/bin/optimization/cosmo_grid_cosmo_only_linear.out
#SBATCH --ntasks=16
#SBATCH --mem-per-cpu=4000
python /home/users/swmclau2/Git/pearce/bin/optimization/cosmo_grid_cosmo_only_... |
c11e27002e0da1ba5f54a9966ed63a7744dc4dc2 | 225 | #!/bin/sh
#PBS -N test
#PBS -P ee
#PBS -l select=1:ncpus=1:ngpus=1
#PBS -e error_test
#PBS -o output_test
#PBS -q low
module load apps/anaconda/3
python /home/ee/mtech/eet192341/codes/deep_soli/rnn_deep/test/rnn_deep_test.py
|
fb113eefd1e3de2bed773fc5f005287a22df4f43 | 72 | #!/bin/sh
source venv/bin/activate
touch server.pid
python -m py.server
|
fe03ad31e658ea25e01f5355b280fb5dbe6686b0 | 275 | set -ex
cd $(dirname $(realpath -s $0))
TAG=$(echo $1 | cut -d- -f2 )
ENV_P=../__tmp_q2galaxy_env_$TAG
conda env create --force -p $ENV_P --file $1
mkdir -p tools/
rm -rf tools/*
conda run -p $ENV_P q2galaxy template all tools/
echo sudo docker build -t q2galaxy:$TAG .
|
8aadf0497b73a98829b3d452e7821b0d0ef6e40a | 3,067 | #!/bin/bash
echo '#!/bin/sh
./kube-controller-manager \
--cluster-cidr 172.3.0.1/16 \
--leader-elect true \
--log-dir /data/logs/kubernetes/kube-controller-manager \
--master http://127.0.0.1:8080 \
--service-account-private-key-file ./certs/ca-key.pem \
--service-cluster-ip-range 192.168.0.0/16 \
--root... |
9f27dbef2b539aa86c13e161be7999074ee05d35 | 2,394 | #!/bin/ksh
#
# Author : Ben Hardill
# IBM Hursley eBit Java Tech. Center
#
# version: 0.1
#
# description: Script for monitoring native memory usage on a AIX machine.
# It creates a number of files that hold svmon , vmstat and threads
# Run with no arguments for details
#
trap cleanup INT TERM
cleanup()
{
kill... |
79b8e7131b5b5003b65bde3d2cd005d1a961f6d2 | 140 | #!/bin/sh
###
#
# Used to install necessary Alpine packages (only needed when building under Alpine)
#
###
apk add build-base xz bash git
|
650eefe083c3acd24e089d54d822666c4c636c09 | 1,081 | #!/bin/bash
#SBATCH -J bin
#SBATCH -o bin.o%j
#SBATCH -N 1
#SBATCH -n 24
#SBATCH -p parallel
##SBATCH --mem 64000
#SBATCH -p physicsgpu1
#SBATCH -q physicsgpu1
##SBATCH -p mheyden1_longgpu
##SBATCH -q mheyden1_longgpu
#SBATCH --gres=gpu:GTX1080:4
##SBATCH -C phyfast
#SBATCH -t 1-00:00 # wall time (D... |
e5b5db26856919af1d587a42a85e209bf7ba6d4f | 438 |
export WORKON_HOME=$HOME/Envs
export PROJECT_HOME=$HOME/Devel
source /usr/local/bin/virtualenvwrapper.sh
PATH=/usr/local/share/npm/bin:$PATH
PATH=/Users/jubelhor/usr/local/bin:$PATH
PATH=/usr/local/bin:$PATH
PATH=$PATH:$HOME/.rvm/bin # Add RVM to PATH for scripting
VIRTUALENVWRAPPER_PYTHON=/usr/bin/python2.6
source... |
a9debf1df0abb709bef9714fb47f09f82d647515 | 482 | #!/bin/bash
a=/data/tomcat/tomcat6080/logs
b=/data/tomcat/tomcat7080/logs
c=/data/tomcat/tomcat8080/logs
function_log(){
rm -rf *.log &&
rm -rf *.txt &&
cat /dev/null > *.out
}
function_rm6080(){
cd $a &&
function_log
}
function_rm7080(){
cd $b &&
function_log
}
function_rm8080(){
cd ... |
682740ada0f0ad79fbf1d8f80ca8bf7c0f9526b3 | 639 | #!/usr/bin/env bash
source /usr/local/vesta/plugin-manager/func/plugins.sh
plugin_source="$1"
arg_1="$2"
mkdir -p /usr/local/vesta/plugins
mkdir -p /usr/local/vesta/web/plugin
if [[ -d "$plugin_source" ]]; then
# Install from local source
install_from_path "$plugin_source" "no" "$arg_1"
elif [[ "$(echo "$pl... |
fd8d3d3bf95451049e8c3027dcdad495539406ed | 269 | #! /bin/bash
nohup sh -c "python3 -m tensorboard.main --logdir=/artifacts/log --port=25864" > /artifacts/log_tensorboard &
python3 train.py --dataset blender --dataset_folder abc_test --log_dir /artifacts/log --batch_size 13 --max_epoch 200 --dump_dir /artifacts/eval
|
e3f7b04b7501aa6d0e62ff5f9e34b0b15848a5b5 | 283 | #!/bin/bash
# run from root to install needed packages using apt
if [ "$(id -u)" != "0" ]; then
echo "This script installs needed packages using apt-get, please run as root."
2>&1
exit 1
fi
apt-get -y install zsh tmux vim
update-alternatives --set editor $(which vim)
|
3d891d77c61cd4696afcfe17da4da20dca638d99 | 1,179 | #!/bin/bash
# Author Emad Zaamout | support@ahtcloud.com
# Used inside Bitbucket pipelines. Builds our server for testing stage.
# Update/Install Packages
# use -y flag to prevent "Do you want to continue [Y/n]?" prompt from breaking our build process.
# use -q flag to make apt-get show less infomration in the logs (... |
9130a3f384863c67acca37043a09306017e8c8b0 | 198 | #!/bin/bash
# Curl needs to be installed
# Install vundle
git clone https://github.com/gmarik/Vundle.vim.git ~/.vim/bundle/Vundle.vim
# Configure plugins
cp .vimrc $HOME
vim +PluginInstall +qall
|
76904f3ee7b0b520e32fb033aaf49fa52280cdf4 | 3,896 | #!/bin/bash
. $CONFIG_FILE
rundir=$WORK_DIR/run/$DATE/enkf
if [[ ! -d $rundir ]]; then mkdir -p $rundir; echo waiting > $rundir/stat; fi
cd $rundir
if [[ `cat stat` == "complete" ]]; then exit; fi
wait_for_module ../../$PREVDATE/wrf_ens ../obsproc
#Run EnKF
echo running > stat
domlist=`seq 1 $MAX_DOM`
for n in $do... |
070abe75e861617f7a1003c65704fedc79b7c2cb | 629 | #!/bin/bash
#set -x
DONE_MARKER_FILE=$1
ERROR_MARKER_FILE=$2
CMDLINE="${@:3}"
date >&2
hostname >&2
finger $(whoami) | head -n1 >&2
echo "" >&2
source /etc/profile.d/modules.sh >&2
source /users/klpf990/load_postproc.sh
#module unload python >&2 2>&2
#module unload gcc >&2 2>&2
#module load gcc/4.9.2 sge bedtools/2.2... |
08bd71497ece0a3fe4c691208af64aa835adfcd4 | 1,796 | #!/bin/bash
function awaitport() {
for i in {1..10}; do
nc -z localhost $1 && return 0
sleep 1
done
echo "Failed to connect to port $1"
return 1
}
function start() {
base_dir=$(dirname $0)/..
log_dir=$base_dir/tmp
config_dir=$base_dir/spec/support/config
classpath=$(ls -1 $(bundle show scala-l... |
b7f581587f7202977fdb9720b2445bdbba6a40ae | 1,969 | #!/usr/bin/env bash
set -euo pipefail
############################ MODIFY THESE ACCORDINGLY #################################
WIKITEXT_DIR= # Path to the unzipped wikitext-raw dataset.
WIKIDATA_DUMP_DIR= # Path to the directory containing `latest-truthy.nt` file.
ALIGNED_DATA_DIR='./dataset'... |
84b1f12dae895e56adf0f6effa91b7d6acc93fe2 | 84 | export NEWS_API_KEY = '266885d5426a4c5ab4444c5aa64f079f'
python3.6 manage.py server
|
695019278e738b91f79211d18cae12bc65be3fc7 | 44 | #!/bin/sh
python3.5 $1/python.py $1 $2 $3 $4 |
e2b046ca38c7234881422e19eb111fab6d3d1a61 | 1,153 | #!/bin/bash
dd if=xx1 of=need_password1.rar bs=1 count=14636234;
dd if=xx2 of=need_password1.rar bs=1 count=14636234 seek=14636234;
dd if=xx3 of=need_password1.rar bs=1 count=14636234 seek=29272468;
dd if=xx4 of=need_password1.rar bs=1 count=14636234 seek=43908702;
dd if=xx5 of=need_password1.rar... |
f33162f090c01456649bd8019b6d7c0991ad4c1f | 84 | svn export https://github.com/texstudio-org/texstudio/trunk/completion ./cwl --force |
aac3c3b719e87d0d3128095913f96cfd5c987cb9 | 540 | ( cd /proc
for pid in [0-9]*
do
echo "$(ls /proc/$pid/fd/ | wc -l) $pid"
done \
| sort -rn -k1 | head -5 \
| while read -r fdcount pid
do
command=$(ps -o cmd -p "$pid" -hc)
printf "pid: %5d fd: %5d cmd: %s\n" "$pid" "$fdcount" "$command"
case "$command" in
... |
4355d4be2572689672fb88de9e2c92146932da69 | 111 | #!/bin/sh
xauth list | cut -d" " -f 3- | xargs xauth add :0
XAUTHORITY=/root/.Xauthority-n wine MSconvertGUI
|
0b510a388b5dff3d641e822e07bc5635fe64c295 | 1,229 | pkgname=compizconfig-backend-gconf-bzr
pkgver=163
pkgrel=1
pkgdesc="GConf backend for Compiz"
url="https://launchpad.net/compiz-compizconfig-gconf"
license=('GPL' 'LGPL' 'MIT')
arch=('i686' 'x86_64')
depends=('gconf' 'libcompizconfig-bzr')
makedepends=('intltool' 'cmake')
provides=('compizconfig-backend-gconf')
conflic... |
8f8afce7ca9ca24a1a9a3988cc2f834ca1ba73eb | 1,487 | #reading data for batch job putting it into Delta table.run using spark 240
jarName=SparkLearning-1.0-SNAPSHOT.jar
basePath=hdfs://localhost/user/raptor/kafka/temp/output/kafkaDeltaTableDump/
sourceTable=carSensorStreamedData
#datePartitionValue=2019-12-20
bronzeTable=carSensorBronze
overWriteOrAppend=append
#jar... |
daf7860698f8830c376275dc414358150676a7a6 | 156 | #!/usr/bin/env bash
plan_path=$2
cat >> "${plan_path}" <<EOL
[[provides]]
name = "some_requirement"
EOL
echo "simple_extension: output from /bin/detect"
|
f748076270906890b8d5fdd6887727f06ff2d980 | 4,577 | #!/bin/bash
extract_time_period()
{
searchtext=$1
saveIFS=$IFS
IFS='=&'
params=($searchtext)
IFS=$saveIFS
declare -A array
for ((i=0; i<${#params[@]}; i+=2))
do
array[${params[i]}]=${params[i+1]}
done
time_period=${array["openingPeriodId"]}
}
solve_captcha()
{
ca... |
34e23ccbb0dd6d19adb03fb5bc72e561ce81e9e5 | 658 | docker run -d --rm --name httpbin -p 12345:80 kennethreitz/httpbin
docker run -d --rm \
--name intranet_nginx \
-p 7000:80 \
--link=httpbin:httpbin \
-v /NginxLog/Intranet/conf/:/etc/nginx/conf.d/ \
-v /NginxLog/Intranet/logs/:/etc/nginx/logs/ \
openresty/openresty:cen... |
d8563e6958bd3c24f55a24485d8945ea9ca02931 | 92 | container_name="`cat container_name.txt`"
sudo docker exec -it ${container_name} /bin/bash
|
5d9cf67e4d2031fb6977ffa1fe079d20f50eb4e2 | 1,667 | #!/bin/bash
WEB_SERVERS=( web1.langtrend.com )
WORKER_SERVERS=(
worker1.langtrend.com
)
TMP_DIR=${TMP_DIR:-../tmp}
cd $( dirname $0 )
# Run tests
godep go test ../...
if [ $? -ne 0 ]; then
echo "Error running tests"
exit 1
fi
# Clean tmp dir
rm -rf "${TMP_DIR}" && mkdir -p "${TMP_DIR}"
# Build worker
godep go ... |
1839f0efad0612eeb9f2241c7ca1e2c868877847 | 315 | #!/bin/bash
# Apache, Mysql client, PHP installation
export DEBIAN_FRONTEND=noninteractive
apt-get update -qq
apt-get install -y -qq apache2 libapache2-mod-php apache2 php-mysql wget
service apache2 reload
# Wordpress download
cd /opt/
wget --quiet http://wordpress.org/latest.tar.gz
tar xfz latest.tar.gz
exit 0
|
ec17b9f3817320e3eeef59ae64e5507cc3f9e6ce | 231 | #!/bin/sh
set -eu
D=CSSE-COVID-19
cd data
if [ -e "$D" ]; then
echo "Updating CSSE github"
cd "$D"
git pull
cd ..
else
echo "Cloning CSSE github"
git clone https://github.com/CSSEGISandData/COVID-19 "$D"
fi |
0cf85401d43dabd82ae5c2e6f37be586ddd05c37 | 1,416 | #!/usr/bin/env bash
# configure proxy
function proxy_on(){
# assumes $PROXY_SERVER, $PROXY_PORT
# are existing environment variables
export ALL_PROXY="socks5://$PROXY_SERVER:$PROXY_PORT"
export SOCKS_PROXY=$ALL_PROXY
export NO_PROXY="localhost,127.0.0.0/8"
gsettings set org.gnome.system.proxy mode ... |
5362ed093378fa6cdc9bc3d685293b8d2970f7ff | 416 | #!/bin/bash
FILE=/var/renasar/on-http/.skupack/{{name}}.tar.gz
SKUFILE=/var/renasar/on-http/.skupack/{{name}}.sku
CODE=`curl -s -X POST --data-binary @${FILE} -o ${SKUFILE} -w '%{http_code}' localhost:8080/api/current/skus/pack`
if [ ${CODE} == 201 ]; then
echo SKU Pack registered as SKU: ${SKUID}
rm -f ${FILE}
els... |
bb9e742da57ea6a83ffe3d018ad23928b63fe172 | 169 | #!/usr/bin/sh
# play.sh
# Plays .au files.
# Usage: play.sh <recorded_sound.au>
cat $1 >> /dev/audio # Write file $1 to the speaker's Character Special (/dev/audio).
|
cf304d72488ccda9bd313262c1e3be04fbf84473 | 41 | gcc -lpthread -o prueba punto1.c
./prueba |
a71093a2882eb5755c9ccc19e2a694c44d501181 | 222 | #!/bin/bash
alias cmdgen-spr="mono ~/src/GPSRCmdGen/bin/Release/SPRTest.exe"
alias cmdgen-gpsr="mono ~/src/GPSRCmdGen/bin/Release/GPSRCmdGen.exe"
alias cmdgen-eegpsr="mono ~/src/GPSRCmdGen/bin/Release/EEGPSRCmdGen.exe"
|
bab1e8dad0a37d196c6f65fba06386be3baf64fc | 1,537 | #!/bin/bash
user=`whoami`
directory=`pwd`
if [ "$user" != "root" ]; then
echo "$user is not an administrator"
exit 1
fi
cd $HOME
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/lib
echo -n '¿Agente (snmpd) o manejador (trapd)? (a/m): '
read var1
if [ "$var1" == "a" ]; then
echo -n "Ip del manejador par... |
f7e1c07dcf3755e12d3e4fbe0799379a2588f6ea | 90 | CUDA_VISIBLE_DEVICES=3 python3 train_bio.py \
--config_path=bert/configs/multiwoz_all.json |
81e69b88e4f6c055139daa3a75f51819305297ec | 226 | #/bin/bash
echo "NAME: SQL INTERACTIVE"
echo "FUNCTION: interactive sql shell"
echo "VERSION:0"
echo "HACKS: List all the nasties here"
read -p "DATABASE:" -e -i "TEST" DATABASE
isql -v ${DATABASE}
bash system_sub_pause.sh
|
c056c245c87f2cb0a2288c87573745e6724a0bc7 | 1,076 | # $Id$
# Maintainer: Ionut Biru <ibiru@archlinux.org>
pkgname=libwnck3
_pkgbasename=libwnck
pkgver=3.20.1
pkgrel=2
pkgdesc="Window Navigator Construction Kit (GTK+3)"
arch=('i686' 'x86_64')
license=('LGPL')
depends=('gtk3' 'startup-notification' 'libxres')
makedepends=('intltool' 'gobject-introspection' 'python2')
url... |
ffa022f30e902233f38acf62e92aa09022e42684 | 1,196 | pkgname=jabberd14-ubuntu
_pkgname=jabberd14
pkgver=1.6.1.1
pkgrel=1
pkgdesc="XMPP Server with ubuntu patches"
arch=('i686' 'x86_64')
url="http://jabberd.org/"
license=('GPL')
#depends=('expat' 'udns' 'libidn' 'libgsasl')
#makedepends=('expat' 'udns' 'libidn' 'libgsasl' 'openssl' 'mysql')
source=("http://download.jabber... |
d1072837414434d3cd5aa4ae649beaa3c4596866 | 2,348 | #!/bin/bash
indent() { sed 's/^/\t/'; }
export DISPLAY=:6
echo "Starting IBControllerGatewayStart.sh.."
/opt/IBController/IBControllerGatewayStart.sh >> /home/user/Jts/console.log |indent &
sleep 6
touch /home/user/Jts/launcher.log
stat /home/user/Jts/launcher.log
PID=$(pidof java)
IP=$(hostname -I)
... |
3b4462d10ab931517669d7c231f157d750edda82 | 17 | /usr/share/login/ |
acb263effce4eb489835f6afd4625f6e80e56d24 | 1,145 | #!/bin/bash
sudo rm -rf /var/www/mediawiki
sudo aws s3 cp s3://deployment-zips-mediawiki/mediawiki.tar /home/centos/mediawiki.tar
sudo tar -xvf /home/centos/mediawiki.tar -C /var/www/
sudo mv /var/www/mediawiki-1.34.2 /var/www/mediawiki
sleep 30
sudo aws s3 cp s3://resource-softwares-files/LocalSettings.php /var/www/me... |
2c62750d5fc55e1b2b3fa2df1adf00eb79c12e14 | 9,109 | #!/bin/bash
Green_font_prefix="\033[32m" && Red_font_prefix="\033[31m" && Grey_font_preffix="\e[37m" && Green_background_prefix="\033[42;37m" && Red_background_prefix="\033[41;37m" && Font_color_suffix="\033[0m"
column_size=${COLUMNS}
length_size=${LINES}
debug_mode=false
check_root(){
[[ $EUID != 0 ]] && echo -e "... |
3571432025d23fbba1181e0d80723cf44adda09f | 371 | cd /home/aeron/binaries
pkill ServiceDiscovery
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$PWD
./ServiceDiscovery -c "aeron:udp?endpoint=239.255.0.1:40456|interface=192.168.192.1/18|term-length=65536"
cd /d E:\CI-Cor-Ready\xemu-rpc\aeron\build-cmake\Debug\binaries
ServiceDiscovery -c "aeron:udp?endpoint=239.255.0.1:4... |
653cd0660014c8cedc9336e1f643cf0ef7682325 | 87 | #!/bin/sh
"${SRCROOT}/Pods/Target Support Files/Pods-Foodna/Pods-Foodna-resources.sh"
|
585dc1adeccb6f19e214508cab9b55f0fd33cc1d | 140 | #!/usr/bin/env bash
set -o errexit
set -o xtrace
set -o pipefail
export DEBIAN_FRONTEND=noninteractive
apt-get update
apt-get upgrade -y
|
72c05e8a8b7d74e94f255a893a0c944897642706 | 91 | #!/bin/bash
sleep 5 # @todo: postgres startup fix
ruby framework/tools/starter/start.rb $@
|
ef9e67341d9dee9c5764cee989383291a4aebbdf | 2,810 | #!/bin/bash
# sopcast install
#================
sudo apt-get install ia32-libs
# sp-auth install
wget http://download.easetuner.com/download/sp-auth.tgz
tar -zxvf sp-auth.tgz
sudo cp ./sp-auth/sp-sc-auth /usr/bin/sp-sc
sudo cp ./sp-auth/sp-sc-auth /usr/local/bin/sp-sc
# sopcast player install
wget http://sopcast-p... |
defe005100d7f5acd527e8287a951efe418e1a91 | 65 | #! /bin/bash
cp nginx.conf /etc/nginx/nginx.conf
nginx -s reload
|
f9c747c5455219c677a9cc3e1cf28efce4ab44e9 | 691 | #!/usr/bin/env bash
set -ex
for fs in /tmp /dev/shm; do
# only remount if it is currently mounted, AND if we know how to mount it again
do_unmount=0
do_mount=0
if findmnt "$fs" >/dev/null && grep -q "$fs " /etc/fstab; then
do_unmount=1
do_mount=1
fi
# unmount
if [ "$do_unmo... |
fc5e579e584ba04d19bdcf91f7bac8e4c9fcfd6d | 43 | /usr/local/cloudengines/bin/udhcpc_ra0_init |
761b50f931d3f77c5fff0372faa4752918692ff9 | 155 | x=${1%.*}
basename=${x##*/}
fastq_trimmed=${basename}_trimmed.fastq
cat $1 | fastx_trimmer -f7 -Q33 | fastq_quality_filter -Q33 -q25 -p80 > $fastq_trimmed
|
85879446b71268775bb69f35b542a2ec61145009 | 402 | #!/bin/bash
ext=${1:-orig}
out_file=${2:-./config.diff}
> $out_file
for item in $(find /etc -name "*.${ext}" -print) ; do
path=${item%.$ext}
echo "#================================================================================" >> $out_file
diff -u $path.$ext $path >> $out_file
done
echo "#=============... |
63019b04a859ad3d9841399df7a040ace8ecc3d5 | 349 | # /etc/profile.d/im-config_wayland.sh
#
# This sets the IM variables on Wayland.
test "$XDG_SESSION_TYPE" = 'wayland' || return
# don't do anything if im-config was removed but not purged
test -r /usr/share/im-config/xinputrc.common || return
if [ -r /etc/X11/Xsession.d/70im-config_launch ]; then
. /etc/X11/Xses... |
667182b5b6bd1468b3b39b18751e856c1d534125 | 205 | #! /bin/bash
# 使用方法: ./count_code_line.sh your_project_dir
find -s $1 "(" -name "*.m" -or -name "*.mm" -or -name "*.cpp" -or -name "*.h" -or -name "*.rss" ")" -print | xargs grep -v "^$"|wc -l
|
91a89dddf83b16d3ac253195f16767eec4d196db | 142 | #!/bin/bash
echo $* | awk -F, '{for(i = 1; i <= NF; i++) {field=$i; sub(/^ /, "", field); system("./gen_device_write_one.sh " field );}; }'
|
63e74fb5933844a71146a5e3e93baec17a883523 | 288 | g++ -std=c++17 -g -o ServerTest main_server.cpp TcpServer.h TcpServer.cpp SocketConfig.h SocketConfig.cpp SocketUtility.h SocketUtility.cpp TcpThreadForEcho.h TcpThreadForEcho.cpp TcpThread.h TcpThread.cpp -levent -pthread
g++ -std=c++17 -g -o ClientTest main_client.cpp -levent -pthread
|
2f05d2efe5c3f86b85ad8826bf1fdbc33c5fbde6 | 105 | pip install -q numpy tfds-nightly tensorflow tensorflow_hub tensorflow_datasets matplotlib pandas sklearn |
3e18498a5b3964b3c593eb464661d060e3f97fbc | 683 | #!/bin/bash
# Go to HBase bin directory
cd /opt/hbase/bin
# Get all the rows in HBase shell and save them to a text file
echo "scan 'clerical_matching:matching_task'" | ./hbase shell > scan_output
# 1. Remove rows from the list that do not contain a json document
# 2. Remove rows from the list that contain a residen... |
796756a2725eb517c523e7e9e4f7ae633a6dc06f | 1,630 | #!/bin/sh
# ----------------------------------------------------------------------------
# Copyright 2018 WSO2, Inc. http://www.wso2.org
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#... |
1a329ff1e2e01484cc5f80bc663a3954321b6958 | 349 | #!/bin/sh
if [ ! -f ~/.domain_password ]; then
echo "Please first use \necho <Domain Password> | base64 > ~/.domain_password\n to generate your password file"
exit
fi
PASSWORD=$(cat ~/.domain_password | base64 -d)
cf api https://api.cf.eu10.hana.ondemand.com
cf login -u yihan.song@sap.com -p $PASSWORD -s IoTTra... |
072289d13cc70cdd94cc9994c9c856f45934972c | 579 | #!/bin/bash
function fix_linux_internal_host() {
DOCKER_INTERNAL_HOST="host.docker.internal"
host $DOCKER_INTERNAL_HOST | grep "has address" > /dev/null 2>&1
if [ $? -eq 1 ] ; then
DOCKER_INTERNAL_IP=`/sbin/ip route | awk '/default/ { print $3 }' | awk '!seen[$0]++'`
echo -e "$DOCKER_INTERNAL_IP\t$DOCKE... |
781a7aee58481c71a45722af0ebbd7ab11719fbf | 1,103 | #!/bin/bash
#Open the gzip compression
CONF_PATH=`find / -name 'httpd.conf' -a -type f`
[ -d /usr/local/backup ] || mkdir -p /usr/local/backup
[ -d /usr/local/resault ] || mkdir -p /usr/local/resault
##edit the configuration file
[ `find / -name "mod_deflate.so"` ] || echo "mod_deflate.so is not exist... |
1c0840228ea8d0311198b955d1af5a3280dc6cdd | 215 | #!/bin/bash
# Required parameters:
# @raycast.schemaVersion 1
# @raycast.title Maximize Current Window
# @raycast.mode silent
# Optional parameters:
# @raycast.icon 🤖
yabai -m window --toggle zoom-fullscreen
|
753fb88c7559da3993256424d9f96671ff8948f4 | 1,016 | #!/bin/bash
# Convert JPEG to RGB, Compress RGB, decompress,
# then convert to JPEG to view results
#
# ImageMagick required
if [ "$#" -ne 4 ]; then
echo "Usage: ./compressfromjpg.sh k tile_w tile_h input"
exit
fi
K=$1
TILE_W=$2
TILE_H=$3
INPUT=$4
INPUT_RGB=`basename $INPUT | sed 's/\(.*\)\.jpg/\1.rgb/'`
OU... |
4da9366508fcde41a50b1b82dc513f7d83c981db | 646 | #!/bin/bash
# max time in minutes
MAXTIME=10
OLDIFS=$IFS
IFS='
'
for i in `w | sed '1,3d' | awk '{ print $2,$5 }' | sed 's/:.*$//' | sed -e '/^.*[0-9]s$/d'`; do
idletime=`echo $i |awk '{ print $2 }'`
if [ $idletime -gt $MAXTIME ];
then
TTYTOKILL=`echo "$i" | awk '{print $1}' | sed 's/^.*\///'... |
b910c00854e0557eab992934d4b841161b3dae7b | 366 | #!/bin/bash
echo "[*] Enter number of nodes in the network"
read num
NET_SECRET="random_secret"
#INIT NETSTAT
cd /home/ubuntu/netstat
cd eth-netstats
(WS_SECRET=$NET_SECRET npm start &)
cd ../
cd eth-net-intelligence-api
bash ../netstatconf.sh $num node http://localhost:3000 $NET_SECRET > app.json
(pm2 start app.... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.